.app {
  font-family: Arial, sans-serif;

  header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 20px;
    background-color: #f8f9fa;
    border-bottom: 1px solid #e0e0e0;

    h1 {
      margin: 0;
      font-size: 1.5rem;
    }

    .icons {
      display: flex;
      gap: 20px;

      .cart-icon, .favorites-icon {
        display: flex;
        align-items: center;
        gap: 5px;
      }
    }
  }
}

.product-list {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(200px, 1fr));
  gap: 20px;
  padding: 20px;
}

.product-card {
  background-color: #fff;
  border: 1px solid #ddd;
  border-radius: 8px;
  overflow: hidden;
  text-align: center;
  padding: 10px;
  box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);

  .product-image {
    max-width: 100%;
    height: auto;
  }

  .product-info {
    margin-top: 10px;

    h3 {
      margin: 0;
      font-size: 1.25rem;
    }

    p {
      margin: 5px 0;
   
    }
  }
}